import { InsertPortArg } from './insert-port';
import { InsertRouteArg } from './insert-route';
import { InsertSumArg } from './insert-sum';
import { InsertTerminalKeyArg } from './insert-terminal-key';
import { InsertTerminalPasswordArg } from './insert-terminal-password';
import { InsertDoTestArg } from './insert-do-test';
export type DoTestArg = InsertPortArg & InsertRouteArg & InsertSumArg & InsertTerminalKeyArg & InsertTerminalPasswordArg & InsertDoTestArg & {
    lookingForHandlerResultAttemptsCount?: number;
    lookingForHandlerResultDelayInMs?: number;
};
export declare function doTest(arg: DoTestArg): Promise<void>;
