"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllDeviceInfo = void 0;
const device_1 = require("@capacitor/device");
function getAllDeviceInfo() {
    return __awaiter(this, void 0, void 0, function* () {
        return Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, (yield device_1.Device.getInfo())), (yield device_1.Device.getBatteryInfo())), (yield device_1.Device.getId())), {
            languageCode: (yield device_1.Device.getLanguageCode()).value,
        }), {
            languageTag: (yield device_1.Device.getLanguageCode()).value,
        });
    });
}
exports.getAllDeviceInfo = getAllDeviceInfo;
