import { DeepClient } from '@deep-foundation/deeplinks/imports/client';
import { Link } from '@deep-foundation/deeplinks/imports/minilinks';
import { DeviceInfo } from './device-info';
export declare function saveDeviceInfo(param: GetDeviceParam): Promise<void>;
export type GetDeviceParam = {
    deep: DeepClient;
    info?: DeviceInfo;
} & ({
    deviceLinkId: number;
} | {
    deviceLink: Link<number>;
});
